## ros-humble-compressed-depth-image-transport 2.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(compressed_depth_image_transport)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()
find_package(ament_cmake REQUIRED)
find_package(image_transport REQUIRED)
find_package(cv_bridge REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(OpenCV REQUIRED)

include_directories(include ${OpenCV_INCLUDE_DIRS})

add_library(
    ${PROJECT_NAME}
    SHARED
    src/compressed_depth_publisher.cpp
    src/compressed_depth_subscriber.cpp
    src/manifest.cpp src/codec.cpp
)

target_link_libraries(${PROJECT_NAME} ${OpenCV_LIBRARIES})

ament_target_dependencies(${PROJECT_NAME}
  "image_transport"
  "cv_bridge"
  "rclcpp"
  "pluginlib"
  "sensor_msgs"
)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(
  DIRECTORY "include/"
  DESTINATION include
)
pluginlib_export_plugin_description_file(image_transport
    compressed_depth_plugins.xml)

ament_package()

=== debian/changelog ===
ros-humble-compressed-depth-image-transport (2.5.0-2jammy) jammy; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Mon, 18 Apr 2022 07:00:00 -0000

ros-humble-compressed-depth-image-transport (2.3.2-2jammy) jammy; urgency=high

  * Fix copyright year 20012 -> 2012 (#79 <https://github.com/ros-perception/image_transport_plugins/issues/79>)
  * JPEG only supports 8 bits images (#73 <https://github.com/ros-perception/image_transport_plugins/issues/73>)
  * Contributors: Ivan Santiago Paunovic, Michael Carroll

 -- David Gossow <dgossow@willowgarage.com>  Fri, 18 Feb 2022 08:00:00 -0000

ros-humble-compressed-depth-image-transport (2.3.1-2jammy) jammy; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Tue, 13 Jul 2021 07:00:00 -0000

ros-humble-compressed-depth-image-transport (2.3.0-2jammy) jammy; urgency=high

  * Use non-deprecated image_transport headers (#59 <https://github.com/ros-perception/image_transport_plugins/issues/59>)
  * Contributors: Michael Carroll

 -- David Gossow <dgossow@willowgarage.com>  Thu, 28 May 2020 07:00:00 -0000

ros-humble-compressed-depth-image-transport (2.2.1-2jammy) jammy; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Wed, 23 Oct 2019 07:00:00 -0000

ros-humble-compressed-depth-image-transport (2.2.0-2jammy) jammy; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Fri, 27 Sep 2019 07:00:00 -0000

ros-humble-compressed-depth-image-transport (2.1.0-2jammy) jammy; urgency=high

  * Merge pull request #33 <https://github.com/ros-perception/image_transport_plugins/issues/33> from klintan/ros2
    [ROS2] Fixed portability warning for compressed depth plugin.
  * fixed portability warning for name
  * Contributors: Andreas Klintberg, David Gossow

 -- David Gossow <dgossow@willowgarage.com>  Fri, 23 Aug 2019 07:00:00 -0000

ros-humble-compressed-depth-image-transport (2.0.0-2jammy) jammy; urgency=high

  * Pointer api updates (#31 <https://github.com/ros-perception/image_transport_plugins/issues/31>)
  * Bring ros2-devel back into ros2 mainline. (#29 <https://github.com/ros-perception/image_transport_plugins/issues/29>)
  * Update compressed_image_transport to ros2 (#26 <https://github.com/ros-perception/image_transport_plugins/issues/26>)
  * Contributors: Michael Carroll, Jose Luis Rivero

 -- David Gossow <dgossow@willowgarage.com>  Thu, 13 Dec 2018 08:00:00 -0000

ros-humble-compressed-depth-image-transport (1.9.5-2jammy) jammy; urgency=high

  * disable -Werr
  * Contributors: Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Mon, 03 Oct 2016 07:00:00 -0000

ros-humble-compressed-depth-image-transport (1.9.4-2jammy) jammy; urgency=high

  * address gcc6 build error and tune
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Fix a missing return statement and add -Wall -Werror.
  * Contributors: Lukas Bulwahn, Mac Mason

 -- David Gossow <dgossow@willowgarage.com>  Sun, 02 Oct 2016 07:00:00 -0000

ros-humble-compressed-depth-image-transport (1.9.3-2jammy) jammy; urgency=high

  * Refactor the codec into its own .h and .cpp.
  * remove useless tf dependencies
  * Contributors: Mac Mason, Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Sun, 17 Jan 2016 08:00:00 -0000

ros-humble-compressed-depth-image-transport (1.9.2-2jammy) jammy; urgency=high

  * use compression parameters for both depths
    fixes #12 <https://github.com/ros-perception/image_transport_plugins/issues/12>
  * get code to compile with OpenCV3
  * Contributors: Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Sat, 25 Apr 2015 07:00:00 -0000

ros-humble-compressed-depth-image-transport (1.9.1-2jammy) jammy; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Fri, 18 Jul 2014 07:00:00 -0000

ros-humble-compressed-depth-image-transport (1.9.0-2jammy) jammy; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Fri, 16 May 2014 07:00:00 -0000

ros-humble-compressed-depth-image-transport (1.8.21-2jammy) jammy; urgency=high

  * maintainer: david gossow
  * Contributors: David Gossow

 -- David Gossow <dgossow@willowgarage.com>  Thu, 27 Jun 2013 07:00:00 -0000

ros-humble-compressed-depth-image-transport (1.8.20-2jammy) jammy; urgency=high

  * 1.8.19 -> 1.8.20
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Mon, 18 Mar 2013 07:00:00 -0000

ros-humble-compressed-depth-image-transport (1.8.19-2jammy) jammy; urgency=high

  * 1.8.18 -> 1.8.19
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Sun, 24 Feb 2013 08:00:00 -0000

ros-humble-compressed-depth-image-transport (1.8.18-2jammy) jammy; urgency=high

  * 1.8.17 -> 1.8.18
  * fixing input format checks (enabling rgba, bgra) + minor fixes
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Fri, 08 Feb 2013 01:59:00 -0000

ros-humble-compressed-depth-image-transport (1.8.17-2jammy) jammy; urgency=high

  * 1.8.16 -> 1.8.17
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Fri, 18 Jan 2013 08:00:00 -0000

ros-humble-compressed-depth-image-transport (1.8.16-2jammy) jammy; urgency=high

  * 1.8.15 -> 1.8.16
  * use the pluginlib script to remove some runtime warnings
  * Contributors: Julius Kammerl, Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Thu, 17 Jan 2013 08:00:00 -0000

ros-humble-compressed-depth-image-transport (1.8.15-2jammy) jammy; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Sat, 29 Dec 2012 04:11:00 -0000



=== debian/control ===
Source: ros-humble-compressed-depth-image-transport
Section: misc
Priority: optional
Maintainer: David Gossow <dgossow@willowgarage.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-cv-bridge, ros-humble-image-transport, ros-humble-ros-workspace
Homepage: http://www.ros.org/wiki/image_transport_plugins
Standards-Version: 3.9.2

Package: ros-humble-compressed-depth-image-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-cv-bridge, ros-humble-image-transport, ros-humble-ros-workspace
Description: Compressed_depth_image_transport provides a plugin to image_transport for transparently sending depth images (raw, floating-point) using PNG compression.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-compressed-depth-image-transport//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-compressed-depth-image-transport 2.5.1

=== debian/changelog ===
ros-humble-compressed-depth-image-transport (2.5.1-1bookworm) bookworm; urgency=high

  * Update maintainer (#112 <https://github.com/ros-perception/image_transport_plugins/issues/112>)
  * Contributors: Kenji Brameld

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 12 Apr 2024 16:00:00 -0000

ros-humble-compressed-depth-image-transport (2.5.0-1bookworm) bookworm; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 17 Apr 2022 16:00:00 -0000

ros-humble-compressed-depth-image-transport (2.3.2-1bookworm) bookworm; urgency=high

  * Fix copyright year 20012 -> 2012 (#79 <https://github.com/ros-perception/image_transport_plugins/issues/79>)
  * JPEG only supports 8 bits images (#73 <https://github.com/ros-perception/image_transport_plugins/issues/73>)
  * Contributors: Ivan Santiago Paunovic, Michael Carroll

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 17 Feb 2022 16:00:00 -0000

ros-humble-compressed-depth-image-transport (2.3.1-1bookworm) bookworm; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 12 Jul 2021 16:00:00 -0000

ros-humble-compressed-depth-image-transport (2.3.0-1bookworm) bookworm; urgency=high

  * Use non-deprecated image_transport headers (#59 <https://github.com/ros-perception/image_transport_plugins/issues/59>)
  * Contributors: Michael Carroll

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 27 May 2020 16:00:00 -0000

ros-humble-compressed-depth-image-transport (2.2.1-1bookworm) bookworm; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 22 Oct 2019 16:00:00 -0000

ros-humble-compressed-depth-image-transport (2.2.0-1bookworm) bookworm; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 26 Sep 2019 16:00:00 -0000

ros-humble-compressed-depth-image-transport (2.1.0-1bookworm) bookworm; urgency=high

  * Merge pull request #33 <https://github.com/ros-perception/image_transport_plugins/issues/33> from klintan/ros2
    [ROS2] Fixed portability warning for compressed depth plugin.
  * fixed portability warning for name
  * Contributors: Andreas Klintberg, David Gossow

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 22 Aug 2019 16:00:00 -0000

ros-humble-compressed-depth-image-transport (2.0.0-1bookworm) bookworm; urgency=high

  * Pointer api updates (#31 <https://github.com/ros-perception/image_transport_plugins/issues/31>)
  * Bring ros2-devel back into ros2 mainline. (#29 <https://github.com/ros-perception/image_transport_plugins/issues/29>)
  * Update compressed_image_transport to ros2 (#26 <https://github.com/ros-perception/image_transport_plugins/issues/26>)
  * Contributors: Michael Carroll, Jose Luis Rivero

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 12 Dec 2018 16:00:00 -0000

ros-humble-compressed-depth-image-transport (1.9.5-1bookworm) bookworm; urgency=high

  * disable -Werr
  * Contributors: Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 02 Oct 2016 16:00:00 -0000

ros-humble-compressed-depth-image-transport (1.9.4-1bookworm) bookworm; urgency=high

  * address gcc6 build error and tune
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Fix a missing return statement and add -Wall -Werror.
  * Contributors: Lukas Bulwahn, Mac Mason

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 01 Oct 2016 16:00:00 -0000

ros-humble-compressed-depth-image-transport (1.9.3-1bookworm) bookworm; urgency=high

  * Refactor the codec into its own .h and .cpp.
  * remove useless tf dependencies
  * Contributors: Mac Mason, Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 16 Jan 2016 16:00:00 -0000

ros-humble-compressed-depth-image-transport (1.9.2-1bookworm) bookworm; urgency=high

  * use compression parameters for both depths
    fixes #12 <https://github.com/ros-perception/image_transport_plugins/issues/12>
  * get code to compile with OpenCV3
  * Contributors: Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 24 Apr 2015 16:00:00 -0000

ros-humble-compressed-depth-image-transport (1.9.1-1bookworm) bookworm; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 17 Jul 2014 16:00:00 -0000

ros-humble-compressed-depth-image-transport (1.9.0-1bookworm) bookworm; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 15 May 2014 16:00:00 -0000

ros-humble-compressed-depth-image-transport (1.8.21-1bookworm) bookworm; urgency=high

  * maintainer: david gossow
  * Contributors: David Gossow

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 26 Jun 2013 16:00:00 -0000

ros-humble-compressed-depth-image-transport (1.8.20-1bookworm) bookworm; urgency=high

  * 1.8.19 -> 1.8.20
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 17 Mar 2013 16:00:00 -0000

ros-humble-compressed-depth-image-transport (1.8.19-1bookworm) bookworm; urgency=high

  * 1.8.18 -> 1.8.19
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 23 Feb 2013 16:00:00 -0000

ros-humble-compressed-depth-image-transport (1.8.18-1bookworm) bookworm; urgency=high

  * 1.8.17 -> 1.8.18
  * fixing input format checks (enabling rgba, bgra) + minor fixes
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 07 Feb 2013 09:59:00 -0000

ros-humble-compressed-depth-image-transport (1.8.17-1bookworm) bookworm; urgency=high

  * 1.8.16 -> 1.8.17
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 17 Jan 2013 16:00:00 -0000

ros-humble-compressed-depth-image-transport (1.8.16-1bookworm) bookworm; urgency=high

  * 1.8.15 -> 1.8.16


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-humble-compressed-depth-image-transport
 Section: misc
 Priority: optional
-Maintainer: David Gossow <dgossow@willowgarage.com>
+Maintainer: Kenji Brameld <kenjibrameld@gmail.com>
 Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-cv-bridge, ros-humble-image-transport, ros-humble-ros-workspace
 Homepage: http://www.ros.org/wiki/image_transport_plugins
 Standards-Version: 3.9.2

## ros-humble-compressed-depth-image-transport 2.5.2

=== debian/changelog ===
ros-humble-compressed-depth-image-transport (2.5.2-1bookworm) bookworm; urgency=high

  * Update config param to use correct config value. Use default png level of 3. (#165 <https://github.com/ros-perception/image_transport_plugins/issues/165>)
  * Contributors: Jonathan Selling

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 21 Jul 2024 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-compressed-depth-image-transport//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-compressed-depth-image-transport//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-compressed-depth-image-transport//opt/ros/humble/opt/compressed_depth_image_transport/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
